Gutenberg – WordPress 5.0 – avvertenze

Per farla breve : non aggiornare subito come hai sempre fatto 😀
Per farla un po meno breve:
in Wp 5.0 è stato introdotto un grosso cambiamento; la  sostituzione dell’editor classico (tinyMCE) che usi tutti i giorni per scrivere articoli e pagine.
Il nuovo editor di chiama Gutenberg (https://wordpress.org/gutenberg/) un editor totalmente riscritto e con una logica di funzionamento diversa. Questo è l’unica cosa aggiunta alla versione 5.0 (ed è già più che sufficiente 😀 )
Puoi sempre usare la versione vecchia dell’editor installando il plugin Classic Editor  – https://wordpress.org/plugins/classic-editor/ -.
Se hai installato Woocommerce prima di aggiornare wp assicurati di aggiornare
PRIMA Woocommerce all’ultima versione e POI WordPress.
Aggiorna prima TUTTI i plugin. Ma ancora prima di tutto FAI UN BACKUP DEL’INTERO SITO con un plugin tipo updraft plus (https://it.wordpress.org/plugins/updraftplus/) , oppure backwpup (https://it.wordpress.org/plugins/backwpup/) oppure tramite gli strumenti che usi di solito.
Sappi che l’aggiornamento potrebbe causare la perdita dei custom fields (campi personalizzati – campi aggiuntivi che usi per inserire contenuti negli articoli e pagine all’infuori dei campo “Contenuto” classico ) che eventualmente hai inserito tramite plugin o plugin ad hoc.